import { ButtonBaseComponent } from '../common/button.base.component';
import { IconButtonColor, IconButtonSize, IconButtonVariant } from '../common/button.entities';
import * as i0 from "@angular/core";
export declare class IconButtonComponent extends ButtonBaseComponent {
    set iconName(value: string);
    /**
     * Set button variant type
     * @param value
     */
    set color(value: IconButtonColor);
    /**
     * Set button variant type
     * @param value
     */
    set variant(value: IconButtonVariant);
    set size(value: IconButtonSize);
    get variantClass(): string;
    get colorClass(): string;
    get iconName(): string;
    /** @internal */
    startIconName: string;
    /** @internal */
    startIconColor: string;
    /** @internal */
    endIconName: string;
    /** @internal */
    endIconColor: string;
    /** @internal */
    selected: boolean;
    private _iconName;
    private _variantIcon;
    private _colorIcon;
    static ɵfac: i0.ɵɵFactoryDeclaration<IconButtonComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<IconButtonComponent, "fusion-icon-button", never, { "iconName": { "alias": "iconName"; "required": false; }; "color": { "alias": "color"; "required": false; }; "variant": { "alias": "variant"; "required": false; }; "size": { "alias": "size"; "required": false; }; }, {}, never, ["*"], true, never>;
}
